<h2 mat-dialog-title class="title">{{data.title}}</h2>
<div mat-dialog-content>
  <form class="example-form col-12 float-left">
    <div class="col-lg-12 col-12 float-left">
      <mat-form-field class="example-full-width col-12 col-sm-6" >
        <mat-label class="font-comp">Cadena</mat-label>
        <input name="apepaterno" cdkFocusInitial matInput placeholder="Ingrese cadena" [attr.maxLength]="validaServ.maxlength" value="" class="col-l font-comp" [(ngModel)]="prueba_regis.v_cadena" >
      </mat-form-field>

        <mat-form-field appearance="fill" class="col-12 col-sm-6">
          <mat-label class="font-comp">Fecha</mat-label>
          <input class="font-comp col-12" matInput [matDatepicker]="dpDate" [formControl]="date" [max]="dateServ.today" [min]="dateServ.datepast" readonly
            [(ngModel)]="prueba_regis.d_fecha" />
          <mat-datepicker-toggle matSuffix [for]="dpDate"></mat-datepicker-toggle>
        <mat-datepicker #dpDate disabled="false"></mat-datepicker>
      </mat-form-field>

      <mat-form-field class="example-full-width col-12 col-sm-6" >
        <mat-label class="font-comp">Número entero</mat-label>
        <input name="numEntero" matInput placeholder="Ingrese número entero" [attr.maxLength]="validaServ.maxlength" value="" class="col-l font-comp" [(ngModel)]="prueba_regis.n_entero" appSoloNumeros >
      </mat-form-field>

      <mat-form-field class="example-full-width col-12 col-sm-6" >
        <mat-label class="font-comp">Número decimal</mat-label>
        <input name="numDecimal" matInput placeholder="Ingrese número decimal" [attr.maxLength]="validaServ.maxlength" value="" class="col-l font-comp" [(ngModel)]="prueba_regis.n_decimal" appDecimales decimals="2"  >
      </mat-form-field>
      <mat-form-field appearance="fill" class="col-12">
        <mat-label class="font-comp">Select Optión</mat-label>
        <mat-select name="select" class="font-comp" [(ngModel)]="prueba_regis.n_combo" [(value)]="prueba_regis.n_combo" >
          <mat-option value="0">Seleccione...</mat-option>
          <mat-option
            *ngFor="let option of comboServ.comboCategoria"
            value="{{ option.valor }}">
          {{ option.descripcion }}
        </mat-option>
        </mat-select>
      </mat-form-field>


      <mat-form-field  class="example-full-width float-left col-12" >
        <mat-label class="font-comp">Select automplete</mat-label>
        <input (ngModelChange)="handleModelChange($event)" name="acSelect" type="text" [matAutocomplete]="auto" matInput [formControl]="myControl" class="font-comp"
        >

        <mat-autocomplete #auto="matAutocomplete" >
        <mat-option *ngFor="let option of filteredOptions | async"  [value]="option.v_cadena" (click)="autoCompleteOnChange(option.n_id)" [displayWith]="displayFn"  class="font-comp">
            {{option.v_cadena}}
          </mat-option>
        </mat-autocomplete>
      </mat-form-field>
    </div>
  </form>
  <div mat-dialog-actions class="example-full-width apbtn col-12 float-left">
    <button class="btn btn-sm btn-danger btn-uq" mat-button (click)="cancelar()">Cancelar</button>
    <button class="btn btn-sm btn-reg btn-uq" mat-button (click)="guardar()" >Aceptar</button>
    <!-- cdkFocusInitial ->FOCUS -->
  </div>
</div>



